# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			baltazar
Summary:		Baltazar is downloader for RapidShare free users
URL:			http://www.njsoft.iz.rs/baltazar/en/
Group:			Productivity/Networking/Other
Version:		0.1
Release:		1
License:		GPL
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:		http://www.fileden.com/files/2007/8/23/1373806/download/%{name}.tar.gz
Source90:		%{name}-rpmlintrc
BuildRequires:	        fdupes
BuildRequires:	        rpmlib(CompressedFileNames) <= 3.0.4-1
Requires:		python-mechanize
BuildArch:		noarch

%description
Baltazar is downloader for RapidShare free users, just add
links to Baltazar and download can begin.

%prep
%setup -q -n Baltazar
%__sed -i -e 's|Icon=/usr/share/icons/baltazar.png|Icon=baltazar|g' \
	%{name}.desktop
%__sed -i -e 's|Exec=/usr/bin/baltazar > /dev/null|Exec=%{name}|g' \
	%{name}.desktop

%build

%install
%__install -dm 755 %{buildroot}%{_datadir}/icons
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__make install \
	PREFIX=%{buildroot}%{_prefix}

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{name}.png \
	%{buildroot}%{_datadir}/pixmaps


%__chmod 755 %{buildroot}%{_datadir}/%{name}/%{name}.py

fdupes -s %{buildroot}

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.py
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/%{name}.png

%changelog
* Thu Feb 19 2009 tigger-gg <rpm@mandrivauser.de> 0.1-1mud2009.0
- rebuild for MandrivaLinux 2009.0

* Wed Feb 18 2009 Toni Graffy <toni@links2linux.de> - 0.1-0.pm.1
- First packaged release 0.1
